MAKEMPY(1)

NAME
makempy - convert PDF or PostScript text to MetaPost graphics

SYNOPSIS
makempy filenam

DESCRIPTION
makempy takes MetaPost output files (*.mpo) and translates them to *.mpy files. In order to include text as a graphic into a file typeset with (Con)TeX(t), you extract the text from Postscript of PDF files using pdftops(1) and pstoedit(1), creating a Metapost input file. This file can then be processed by makempy. The makempy script does its work without user intervention. When it deduces that there are no changes, it does not do anything; otherwise it reports its steps and any errors.

OPTIONS

--help
    print basic usage information

--silent
    don't report status messages

--force
    always process the file (no checksum test)

--noclean
    don't remove temporary files when finished

--pdftops
    use pdftops(1), part of the xpdf(1) programs, to convert PDF to PostScript

--ghostscript
    use GhostScript (see pdf2ps(1)) to convert PDF to PostScript

VARIABLES

When set, the environment variables GS and GS_PROG will be used to identify GHOSTSCRIPT. The names of the other programs that are used can be set with PDFTOPS and PSTOEDIT.

SEE ALSO

mpost(1), mptopdf(1), pstoedit(1), texexec(1).

The makempy manual, mmakempy.pdf, available from

AUTHOR
This manual page was written by Frank Küster <frank@kuesterei.ch>, for the Debian GNU/Linux system. It may be used and modified by others without contacting the author.